Loading...
Searching...
No Matches
CSceneCondition Class Reference

Base scene condition structure. More...

`#include <src/level/scene_conditions.h>`

Inheritance diagram for CSceneCondition:
[legend]

## Public Member Functions

void | Read (CLevelParserLine *line) override
| Read from line in scene file.
bool | Check ()
| Checks if this condition is met.
Public Member Functions inherited from CObjectCondition
bool | CheckForObject (CObject *obj)
| Checks if this condition is met.
int | CountObjects ()
| Count all object matching the conditions.

## Public Attributes

int | min = 1
int | max = 9999
Public Attributes inherited from CObjectCondition
Math::Vector | pos = Math::Vector(0.0f, 0.0f, 0.0f)*g_unit
float | dist = 8.0f*g_unit
ObjectType | type = OBJECT_NULL
float | powermin = -1
float | powermax = 100
ToolType | tool = ToolType::Other
DriveType | drive = DriveType::Other
bool | countTransported = true
int | team = 0

## Detailed Description

Base scene condition structure.

## Member Function Documentation

## Read()

void CSceneCondition::Read | ( | CLevelParserLine * | line | ) |

override virtual

Read from line in scene file.

Reimplemented from CObjectCondition.

Reimplemented in CSceneEndCondition.

## Check()

bool CSceneCondition::Check | ( |  | ) |

Checks if this condition is met.

The documentation for this class was generated from the following files:

- src/level/scene_conditions.h
- src/level/scene_conditions.cpp